Bug 81785 - interactive preformance worse than for a long time...
interactive preformance worse than for a long time...
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
Blocks: 79578
  Show dependency treegraph
Reported: 2003-01-13 18:19 EST by Daniel Resare
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-15 17:30:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Resare 2003-01-13 18:19:01 EST
Description of problem:

I enjoy kompiling kernels while doing other things in gnome on my PIII 650 with
512 mb of ram. Lately this activity has become all but impossible. The
responsiveness for interactive work in phoebe is like it used to be around 2.4.0pre.

As a datapoint i tried vanilla kernel.org 2.4.18, and there interactive
responsiveness with that kernel is quite ok during kernel compile

Version-Release number of selected component (if applicable):
kernel-2.4.20-2.2 i686

How reproducible:

Steps to Reproduce:
1. kompile a kenel (especially during make depend)
2. try to for example use mozilla
Actual results:
the machine is almost grinding to a halt until the comiple finishes

Expected results:
better interactive repsonsiveness

Additional info:
Comment 1 Arjan van de Ven 2003-01-13 18:23:07 EST
please try the rawhide kernel; we fixed some major interactive response stuff in
there... please let me know how that one fares
Comment 2 Daniel Resare 2003-01-14 15:49:00 EST
I'm not sure that my rawhide mirror got the latest kernels, but when I try
kernel-2.4.20-2.12 it is about as bad as the one shipping with phoebe.

As a comparison i did a small test

1) packing up linux-2.4.20.tar.gz with tar
2) start 'make depend'
3) wait for 5 seconds to get the load up
4) switch workspace; reload a fastloading page in mozilla, switch to calendar
view in evolution and switch back to a large imap folder.

operation 4 takes about 10-15 seconds with kernel-2.4.18-19.8.0 (rh8 errata) but
about a minute in both kernel-2.4.20-2.2 and kernel-2.4.20-2.12. During that
time lots of klicks are lost and the system is generally very unresponsive.

Do you need any more info?
Comment 3 Ingo Molnar 2003-01-15 07:37:01 EST
unfortunately i cannot reproduce your problems on a similar (slightly weaker)

could you try to run: "nice -n 19 make dep" instead of "make dep" - does that
make interactivity much better? This is to make sure it's a scheduler related
Comment 4 Ingo Molnar 2003-01-15 07:39:06 EST
another thing, does the problem still trigger if you do:

   make depend >/dev/null 2>/dev/null

sometimes the verbose output of 'make depend' loads the X server above a certain
level (but this should really not be the case here - you had no problems with
other kernels).
Comment 5 Ingo Molnar 2003-01-15 07:41:44 EST
also, the 2.4.20-2.18 kernel should be available on rawhide, please try it - we
made some scheduler related changes since 2.4.20-2.12.
Comment 6 Daniel Resare 2003-01-15 17:30:16 EST
2.4.20-2.18 feels much better, subjectively even better than 2.4.18-x.

fyi nice -19 helped.
Comment 7 Ingo Molnar 2003-01-19 06:56:46 EST
Could you retest the 2.4.20-2.21 kernel, without the nice -19 hack to make dep -
is interactivity as good as you'd expect it to be?
Comment 8 Daniel Resare 2003-01-20 05:01:45 EST
Just tested 2.4.20-2.21 and it feels snappy.

with or without 'nice -19' doesn't make any (noticeable) difference

Note You need to log in before you can comment on or make changes to this bug.